import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/unitseting/getHasRight', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/unitseting/getSearchList', 'GET', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/unitseting/getUnitSetingForm?is_multilang_set=true', 'GET', params);
}

export const addEditorInfo = (params) => {
	return WeaTools.callApi('/api/hrm/unitseting/add', 'POST', params);
}

export const editEditorInfo = (params) => {
	return WeaTools.callApi('/api/hrm/unitseting/edit', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/unitseting/delete', 'POST', params);
}